package com.zfire.jiasm.syncdata.download.other.install;


import lombok.extern.slf4j.Slf4j;

/**  未上线 新做的接口
 * 安装转结算查询最终结果 - 广佛等销司发起转结算动作v2
 * /api/ext/azwgmx/launchSettlementV2
 */
@Slf4j
// @Component
public class SettlementStatus {
    /*
    @Resource
    OtherDownService otherDownService;
    @Resource
    SyncQuerySettlementStatusService syncQuerySettlementStatusService;


    @Scheduled(fixedDelayString = "${azzjscx}")
    public void query(){
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        if (1==1){
            return;
        }


        // 提取数据
        List<SyncQuerySettlementStatus> tdqts = syncQuerySettlementStatusService.lambdaQuery()
                .eq(SyncQuerySettlementStatus::getOrderType,0)
                .eq(SyncQuerySettlementStatus::getSynStatus,0)
                .list();
        log.info("开始查询安装转结算最终结果: \uF0B7{}",sdf.format(new Date()));

        for (SyncQuerySettlementStatus item:tdqts){
            try{
                otherDownService.installSettlementStatus(item);
            } catch (Exception ex) {
                ex.printStackTrace();
                log.info("查询安装转结算最终结果【" + item.getSettlementId() +"】状态失败");
            }
        }
        log.info("查询安装转结算最终结果结束: \uF0B7{}",sdf.format(new Date()));
    }
    */
}
